Package org.jfree.layouting.input.style.keys.line

## Class LineStyleKeys

- java.lang.Object
- - org.jfree.layouting.input.style.keys.line.LineStyleKeys

-     public class LineStyleKeys
      extends java.lang.Object

  Drop-Initials are left out for now.
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StyleKey` | `ALIGNMENT_ADJUST` |
    `static StyleKey` | `ALIGNMENT_BASELINE` |
    `static StyleKey` | `BASELINE_SHIFT` |
    `static StyleKey` | `DOMINANT_BASELINE` | DominantBaseLine is not implemented.
    `static StyleKey` | `DROP_INITIAL_AFTER_ADJUST` |
    `static StyleKey` | `DROP_INITIAL_AFTER_ALIGN` |
    `static StyleKey` | `DROP_INITIAL_BEFORE_ADJUST` |
    `static StyleKey` | `DROP_INITIAL_BEFORE_ALIGN` |
    `static StyleKey` | `DROP_INITIAL_SIZE` |
    `static StyleKey` | `DROP_INITIAL_VALUE` |
    `static StyleKey` | `INLINE_BOX_ALIGN` |
    `static StyleKey` | `LINE_HEIGHT` | Either one of the constants 'normal' or 'none' or a length, percentage or number.
    `static StyleKey` | `LINE_STACKING_RUBY` | Ruby is not implemented.
    `static StyleKey` | `LINE_STACKING_SHIFT` | This is a character level computation, we ignore that for now.
    `static StyleKey` | `LINE_STACKING_STRATEGY` | This property determines the line stacking strategy for stacked line boxes within a containing block element.
    `static StyleKey` | `TEXT_HEIGHT` | The 'text-height' property determine the block-progression dimension of the text content area of an inline box.
    `static StyleKey` | `VERTICAL_ALIGN` | This is a shorthand property for the 'dominant-baseline', 'alignment-baseline' and 'alignment-adjust' properties.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEXT_HEIGHT

          public static final StyleKey TEXT_HEIGHT

      The 'text-height' property determine the block-progression dimension of the text content area of an inline box.

    - #### LINE_HEIGHT

          public static final StyleKey LINE_HEIGHT

      Either one of the constants 'normal' or 'none' or a length, percentage or number. The computed value is a result of a computation based on the current line-box and therefore is only valid for that particluar linebox.

    - #### LINE_STACKING_STRATEGY

          public static final StyleKey LINE_STACKING_STRATEGY

      This property determines the line stacking strategy for stacked line boxes within a containing block element. The term 'stack-height' is used in the context of this property description to indicate the block-progression advance for the line boxes.

    - #### LINE_STACKING_RUBY

          public static final StyleKey LINE_STACKING_RUBY

      Ruby is not implemented.

    - #### LINE_STACKING_SHIFT

          public static final StyleKey LINE_STACKING_SHIFT

      This is a character level computation, we ignore that for now.

    - #### BASELINE_SHIFT

          public static final StyleKey BASELINE_SHIFT

    - #### VERTICAL_ALIGN

          public static final StyleKey VERTICAL_ALIGN

      This is a shorthand property for the 'dominant-baseline', 'alignment-baseline' and 'alignment-adjust' properties. It has a different meaning in the context of table cells.

    - #### INLINE_BOX_ALIGN

          public static final StyleKey INLINE_BOX_ALIGN

    - #### DOMINANT_BASELINE

          public static final StyleKey DOMINANT_BASELINE

      DominantBaseLine is not implemented.

    - #### ALIGNMENT_BASELINE

          public static final StyleKey ALIGNMENT_BASELINE

    - #### ALIGNMENT_ADJUST

          public static final StyleKey ALIGNMENT_ADJUST

    - #### DROP_INITIAL_AFTER_ADJUST

          public static final StyleKey DROP_INITIAL_AFTER_ADJUST

    - #### DROP_INITIAL_AFTER_ALIGN

          public static final StyleKey DROP_INITIAL_AFTER_ALIGN

    - #### DROP_INITIAL_BEFORE_ADJUST

          public static final StyleKey DROP_INITIAL_BEFORE_ADJUST

    - #### DROP_INITIAL_BEFORE_ALIGN

          public static final StyleKey DROP_INITIAL_BEFORE_ALIGN

    - #### DROP_INITIAL_SIZE

          public static final StyleKey DROP_INITIAL_SIZE

    - #### DROP_INITIAL_VALUE

          public static final StyleKey DROP_INITIAL_VALUE